jQuery(document).ready(function($){

    $(document).on('click', '#storefront-ecommerce-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'storefront_ecommerce_dismiss_notice'
            }
        });

    });

});